//
//  Lesson1_1.swift
//  Kaktovik Introduction
//
//  Created by Linus Plohr on 2/9/24.
//

import SwiftUI

struct Lesson1_1: View {
    @ObservedObject var navigation: Navigation

    var body: some View {
        
        ZStack {
            
            Text("Kaktovik Numerals Lesson")
                .foregroundColor(.white)
                .fontWeight(.bold)
                .font(.title)
            
            
            
            ZStack {
                Color.purple
                    .ignoresSafeArea()

                    Text("      The Kaktovik numerals are quite straight forward. The numeral one is simply one dash. This repeats up until four, and when you get to 5, you make a diagonal stroke. You can compare this to tally marks. To get 6-9, you simply put the five symbol and combine it with 1, 2, 3, or 4. For 10, you simply make 2 diagonal strokes, and you follow the same rule for 10-14 as in 6-9. You repeat this from 15-20 as well.")
                        .foregroundColor(.white)
                        .fontWeight(.semibold)
                        .font(.title3)
                        .padding(.all, 30)
                        Spacer()
                VStack {
                    Spacer()

                    Spacer()
                    ForwardArrow(navigation: navigation)
                    LessonsBackArrow(label: "Return to Lessons", navigation: navigation)
                }
            }
        }
    }
        }
        
        
        
        



#Preview {
    @StateObject var navigation = Navigation()

    navigation.current_page = 101
    navigation.page_list = [navigation.current_page]

    return Lesson1_1(navigation: navigation)
}
