//
//  Lesson1_2.swift
//  Kaktovik Introduction
//
//  Created by Linus Plohr on 2/9/24.
//

import SwiftUI

struct Lesson1_2: View {
    @ObservedObject var navigation: Navigation

    var body: some View {
        ZStack {
            Color.purple
                .ignoresSafeArea()
            
            VStack {
                Spacer()

                Spacer()
                BackwardArrow(navigation: navigation)
                LessonsBackArrow(label: "Return to Lessons", navigation: navigation)
            }
        }
    }
}

#Preview {
    @StateObject var navigation = Navigation()

    navigation.current_page = 102
    navigation.page_list = [navigation.current_page]

    return Lesson1_2(navigation: navigation)
}
