//
//  Lesson2_1.swift
//  Kaktovik Introduction
//
//  Created by Linus Plohr on 2/9/24.
//

import SwiftUI

struct Lesson2_1: View {
    @ObservedObject var navigation: Navigation

    var body: some View {
        
        ZStack {
            
            Text("Kaktovik Addition Lesson")
                .foregroundColor(.white)
                .fontWeight(.bold)
                .font(.title)
            
            
            
            ZStack {
                Color.purple
                    .ignoresSafeArea()

                Text("Addition with the Kaktovik numerals is quite intuitive. Simply, put the symbols next to each other and combine them! For example, you have 1 and 2. Put the 1 and 2 next to each other, then simply combine the symbols into 1. You will see the symbol represent 3.")
                        .foregroundColor(.white)
                        .fontWeight(.semibold)
                        .font(.title3)
                        .padding(.all, 30)
                        Spacer()
                VStack {
                    Spacer()

                    Spacer()
                    ForwardArrow(navigation: navigation)
                    LessonsBackArrow(label: "Return to Lessons", navigation: navigation)
                }
            }
        }
    }
        }
        
        
        
        



#Preview {
    @StateObject var navigation = Navigation()

    navigation.current_page = 201
    navigation.page_list = [navigation.current_page]

    return Lesson2_1(navigation: navigation)
}

