//
//  Lesson2_4.swift
//  Kaktovik Introduction
//
//  Created by Linus Plohr on 2/9/24.
//

import SwiftUI

struct Lesson2_4: View {
    @ObservedObject var navigation: Navigation

    var body: some View {
        ZStack {
            Color.purple
                .ignoresSafeArea()
            
            VStack {
                Spacer()

                // TODO: LESSON ON ADDITION AND SUBTRACTION

                Spacer()
                BackwardArrow(navigation: navigation)
                LessonsBackArrow(label: "Return to Lessons", navigation: navigation)
            }
        }
    }
}

#Preview {
    @StateObject var navigation = Navigation()

    navigation.current_page = 204
    navigation.page_list = [navigation.current_page]

    return Lesson2_4(navigation: navigation)
}
