//
//  Lesson4_3.swift
//  Kaktovik Introduction
//
//  Created by Linus Plohr on 2/10/24.
//

import SwiftUI

struct Lesson4_3: View {
    @ObservedObject var navigation: Navigation

    var body: some View {
        ZStack {
            Color.purple
                .ignoresSafeArea()
            
            VStack {
                Spacer()

                Image("SimpleDiv")
                    .cornerRadius(15)
                    .fontWeight(.semibold)
                
                Text("          Now, we can see the 2 fit into the 10, 5 times, so we add 5 to our quotient. Then we can simply see how 2 fits into 2, 1 time. This gives us 6 as our quotient.")
                    .foregroundColor(.white)
                    .fontWeight(.semibold)
                    .font(.title3)
                    .padding(.all, 30)
                
                Spacer()
                BothArrows(navigation: navigation)
                LessonsBackArrow(label: "Return to Lessons", navigation: navigation)
            }
        }
    }
}

#Preview {
    @StateObject var navigation = Navigation()

    navigation.current_page = 403
    navigation.page_list = [navigation.current_page]

    return Lesson4_3(navigation: navigation)
}
