//
//  Lesson2_2.swift
//  Kaktovik Introduction
//
//  Created by Linus Plohr on 2/9/24.
//

import SwiftUI

struct Lesson2_2: View {
    @ObservedObject var navigation: Navigation

    var body: some View {
        
        ZStack {
            
            Text("Kaktovik Subtraction Lesson")
                .foregroundColor(.white)
                .fontWeight(.bold)
                .font(.title)
            
            
            
            ZStack {
                Color.purple
                    .ignoresSafeArea()

                Text("Subtraction is a mirror of addition when using the Kaktovik numerals. It's the opposite of addition! Put 3 minus 2. There are three strokes for the numeral 3, and two strokes for 2. We simply take two strokes off of the three strokes, and you will end up with 1.")
                        .foregroundColor(.white)
                        .fontWeight(.semibold)
                        .font(.title3)
                        .padding(.all, 30)
                        Spacer()
                VStack {
                    Spacer()

                    Spacer()
                    ForwardArrow(navigation: navigation)
                    LessonsBackArrow(label: "Return to Lessons", navigation: navigation)
                }
            }
        }
    }
        }
        
        
        
        



#Preview {
    @StateObject var navigation = Navigation()

    navigation.current_page = 202
    navigation.page_list = [navigation.current_page]

    return Lesson2_2(navigation: navigation)
}


