//
//  Lesson3_1.swift
//  Kaktovik Introduction
//
//  Created by Linus Plohr on 2/9/24.
//

import SwiftUI

struct Lesson3_1: View {
    @ObservedObject var navigation: Navigation

    var body: some View {
        
        ZStack {

            Text("Kaktovik Multiplication Lesson")
                .foregroundColor(.white)
                .fontWeight(.bold)
                .font(.title)
            
            
            
            ZStack {
                Color.purple
                    .ignoresSafeArea()

                Text("          Kaktovik multiplication is practically the same as the Hindu-Arabic system. Translate the Kaktovik numerals into Hindu-Arabic system and multiply. For example, let's say we have 4 x 5. We count up the four strokes for 4 and the sideway stroke for 5. That way we can see the translation into Hindu-Arabic. Finally, you simply multiply 4 by 5 to get 20. ")
                        .foregroundColor(.white)
                        .fontWeight(.semibold)
                        .font(.title3)
                        .padding(.all, 30)
                        Spacer()
                VStack {
                    Spacer()

                    Spacer()
                    ForwardArrow(navigation: navigation)
                    LessonsBackArrow(label: "Return to Lessons", navigation: navigation)

                }
            }
        }
    }
        }
        
        
        
        



#Preview {
    @StateObject var navigation = Navigation()

    navigation.current_page = 301
    navigation.page_list = [navigation.current_page]

    return Lesson3_1(navigation: navigation)
}


