//
//  Lesson4_1.swift
//  Kaktovik Introduction
//
//  Created by Linus Plohr on 2/9/24.
//

import SwiftUI

struct Lesson4_1: View {
    @ObservedObject var navigation: Navigation

    var body: some View {
        
        ZStack {
            
            Text("Kaktovik Division Lesson")
                .foregroundColor(.white)
                .fontWeight(.bold)
                .font(.title)
            
            
            
            ZStack {
                Color.purple
                    .ignoresSafeArea()

                Text("          Division is very visual and quick. You can find the same pattern in the number being divided as in the divisor. For example, if the dividend is 5, and the divisor is 1, you can flip the 1 symbol on its side to show 5. We can do something similar with, for example, 12 divided by 2. We see the 2 symbol fit into the 10 five times, because we are flipping it on its side. But now, we have 2 remaining which can easily be filled with our divisor, 2.")
                        .foregroundColor(.white)
                        .fontWeight(.semibold)
                        .font(.title3)
                        .padding(.all, 30)
                        Spacer()
                VStack {
                    Spacer()

                    Spacer()
                    ForwardArrow(navigation: navigation)
                    LessonsBackArrow(label: "Return to Lessons", navigation: navigation)
                }
            }
        }
    }
        }
        
        
        
        



#Preview {
    @StateObject var navigation = Navigation()

    navigation.current_page = 401
    navigation.page_list = [navigation.current_page]

    return Lesson4_1(navigation: navigation)
}



