//
//  Quiz2_2.swift
//  Kaktovik Introduction
//
//  Created by Linus Plohr on 1/7/24.
//

import SwiftUI

struct Quiz2_2: View {
    @ObservedObject var navigation: Navigation

    var body: some View {
        ZStack {
            Color.purple
                .ignoresSafeArea()
            
            VStack {
                Spacer()

                Text("\u{1D2C7} + \u{1d2c1}")
                    .font (Font.custom("Gentium Kaktovik", size: 64))
                    .font(.title)
                    .fontWeight(.bold)
                    .foregroundColor(.white)
                    .padding()
                
                CorrectButton(label: "A. 8", navigation: navigation)
                IncorrectButton(label: "B. 9", navigation: navigation)
                IncorrectButton(label: "C. 10", navigation: navigation)
                IncorrectButton(label: "D. 7", navigation: navigation)
        
                Spacer()
                Quiz2BothArrows(navigation: navigation)
                LessonsBackArrow(label: "Return to Lessons", navigation: navigation)
            }
        }
    }
}

#Preview {
    @StateObject var navigation = Navigation()

    navigation.current_page = 252
    navigation.page_list = [navigation.current_page]

    return Quiz2_2(navigation: navigation)
}
