//
//  Quiz2_4.swift
//  Kaktovik Introduction
//
//  Created by Linus Plohr on 2/10/24.
//

import SwiftUI

struct Quiz2_4: View {
    @ObservedObject var navigation: Navigation

    var body: some View {
        ZStack {
            Color.purple
                .ignoresSafeArea()
            
            VStack {
                Spacer()

                Text("\u{1D2CF} + \u{1d2c3}")
                    .font (Font.custom("Gentium Kaktovik", size: 64))
                    .font(.title)
                    .fontWeight(.bold)
                    .foregroundColor(.white)
                    .padding()
                
                IncorrectButton(label: "A. 14", navigation: navigation)
                IncorrectButton(label: "B. 19", navigation: navigation)
                IncorrectButton(label: "C. 16", navigation: navigation)
                CorrectButton(label: "D. 18", navigation: navigation)
        
                Spacer()
                Quiz2BothArrows(navigation: navigation)
                LessonsBackArrow(label: "Return to Lessons", navigation: navigation)
            }
        }
    }
}

#Preview {
    @StateObject var navigation = Navigation()

    navigation.current_page = 254
    navigation.page_list = [navigation.current_page]

    return Quiz2_4(navigation: navigation)
}
