//
//  Quiz3_2.swift
//  Kaktovik Introduction
//
//  Created by Linus Plohr on 2/4/24.
//

import SwiftUI

struct Quiz3_2: View {
    @ObservedObject var navigation: Navigation

    var body: some View {
        ZStack {
            Color.purple
                .ignoresSafeArea()
            
            VStack {
                Spacer()

                Text("\u{1D2C7} x \u{1d2c4}")
                    .font (Font.custom("Gentium Kaktovik", size: 64))
                    .font(.title)
                    .fontWeight(.bold)
                    .foregroundColor(.white)
                    .padding()
                
                CorrectButton(label: "A. 28", navigation: navigation)
                IncorrectButton(label: "B. 30", navigation: navigation)
                IncorrectButton(label: "C. 18", navigation: navigation)
                IncorrectButton(label: "D. 15", navigation: navigation)
        
                Spacer()
                Quiz3BothArrows(navigation: navigation)
                LessonsBackArrow(label: "Return to Lessons", navigation: navigation)
            }
        }
    }
}

#Preview {
    @StateObject var navigation = Navigation()

    navigation.current_page = 352
    navigation.page_list = [navigation.current_page]

    return Quiz3_2(navigation: navigation)
}
